pub mod rslog {

    #[derive(Copy, Clone, Debug)]
    pub enum Severity {
        Emerg = 0,
        Alert = 1,
        Crit = 2,
        Err = 3,
        Warn = 4,
        Notice = 5,
        Info = 6,
        Debug = 7
    }

    #[derive(Copy, Clone, Debug)]
    pub enum Facility {
        Kern = 0,
        User = 1,
        Mail = 2,
        Daemon = 3,
        Auth = 4,
        Syslog = 5,
        Lpr = 6,
        News = 7,
        Uucp = 8,
        Cron = 9,
        Authpriv = 10,
        Ftp = 11,
        Ntp = 12,
        Security = 13,
        Console = 14,
        Sched = 15,
        Local0 = 16,
        Local1 = 17,
        Local2 = 18,
        Local3 = 19,
        Local4 = 20,
        Local5 = 21,
        Local6 = 22,
        Local7 = 23
    }

    //<13>1 2025-01-23T13:29:45.058591+01:00 justine-ppc731260 justine - - [timeQuality tzKnown="1" isSynced="1" syncAccuracy="897000"] test
    //<Priority>Version timestamp hostname Applicationname PID MessageID [Structured Data] text
    pub struct Message {
        pub severity: Severity,
        pub facility: Facility,
    }
}
