use std::net::UdpSocket;
use rsyslog::Message;
use std::collections::HashMap;

fn main() -> std::io::Result<()> {
    let socket = UdpSocket::bind("0.0.0.0:5140")?; // Bind to the standard syslog port
    let mut buf = [0; 1024];
    let mut storage: Vec<(String,Message)> = vec!();

    loop {
        //Gather the message
        let (size, src) = socket.recv_from(&mut buf)?;
        //Get its origin and remove the port
        let orig = src.ip().to_string();
        //Parse the message
        let msg = String::from_utf8_lossy(&buf[..size]);
        let fmsg: Message = Message::parse(&msg).unwrap();
        //Print
        println!("{}:\t {:#?}", orig, fmsg);
    }
}

//Init an sqlite DB and store messages in it.
//Later run regexes on messages and show in a web interface.
fn store_db(msg: &Message) -> std::io::Result<()> {
    let connection = sqlite::open(":memory:").unwrap();
    //See https://docs.rs/sqlite/latest/sqlite/index.html
    Ok(())
}
